%global major 1
%define libname %mklibname pipeline %major
%define devname %mklibname -d pipeline
%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.5.7
Release: %mkrel 1
License: GPLv3+
Group: System/Libraries
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.xz

BuildRequires: libtool
BuildRequires: pkgconfig(check)

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %libname
Summary: Pipeline manipulation library
Group: System/Libraries

%description -n %libname
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %devname
Summary: Header files and libraries for pipeline manipulation library
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Provides: pipeline-devel

%description -n %devname
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete


%files -n %libname
%{_libdir}/libpipeline.so.%{major}
%{_libdir}/libpipeline.so.%{major}.*

%files -n %devname
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*


%changelog
* Wed Jan 25 2023 tex - 1.5.7-1pclos2023
- new version

* Mon Mar 02 2020 tex - 1.5.2-1pclos2020
- 1.5.2
